=== removed file 'Widget Library/sliderdemo.css'
--- Widget Library/sliderdemo.css	2013-04-02 13:51:45 +0000
+++ Widget Library/sliderdemo.css	1970-01-01 00:00:00 +0000
@@ -1,36 +0,0 @@
-#container {
-	background-color: #d0d0d4; 
-	border-radius: 10px;
-	width: 220px; 
-	height: 300px; 
-	padding: 6px;
-}
-
-#sliderbox {
-	float:left;
-	width:40px;
-	height:32px;
-	font-family:Trebuchet,sans-serif;
-	font-size:18px;
-}
-
-#slider1 {
-	margin-left:42px; 
-	width:160px; 
-	height:32px; 
-	border-style:none; 
-	border-width:1px; 
-	background-position:center; 
-	background-image:url('sliderline.png'); 
-	background-repeat:repeat-x;
-}
-
-#slider1marker {
-	position:relative; 
-	left:60px; 
-	width:14px; 
-	height:32px; 
-	background-image:url('sliderring14.png'); 
-	background-repeat:no-repeat; 
-	background-position:center;
-}
\ No newline at end of file

=== modified file 'Widget Library/sliderdemo.html'
--- Widget Library/sliderdemo.html	2013-04-02 13:51:45 +0000
+++ Widget Library/sliderdemo.html	2013-04-03 14:29:36 +0000
@@ -2,19 +2,23 @@
 <html>
 	<head>
 		<title>Slider Demo</title>
-		<link rel="stylesheet" type="text/css" href="sliderdemo.css">
-		<script type="text/javascript" src="sliderdemo.js"></script>
+		<link rel="stylesheet" type="text/css" media="screen" href="sliders.css">
+		<script type="text/javascript" src="sliders.js"></script>
+		<script>
+			function createDemoSliders() {
+				str = "";
+				str += makePanel(250, 200);
+				str += makeLabel("Slider");
+				str += makeSlider("slider", 1, 2, 7, 4.5, 160, 5);
+				str += makeLabel("Binary");
+				str += makeBinary("binary", 0);
+				str += makePanelEnd();
+				document.getElementById("container").innerHTML = str;
+			}
+		</script>
 	</head>
-	<body onmousedown="mbpress(event);" onmouseup="mbrelease(event);">
+	<body onload="createDemoSliders();" onmousedown="mbPress(event);" onmouseup="mbRelease(event);">
 		<div id="container">
-			<br>
-			<input id="slider1box" type="text">
-			<div id="slider1" onmousemove="updateslider(event, 1, 2, 7, 160, 'slider1marker', 'slider1box');" onmouseup="updateslider(event, 1, 2, 7, 160, 'slider1marker', 'slider1box');">
-				<div id="slider1marker"></div>
-			</div>
-		</div>
-		<div id="demo">
-			Poo
 		</div>
 	</body>
 </html>
\ No newline at end of file

=== removed file 'Widget Library/sliderdemo.js'
--- Widget Library/sliderdemo.js	2013-04-02 13:51:45 +0000
+++ Widget Library/sliderdemo.js	1970-01-01 00:00:00 +0000
@@ -1,43 +0,0 @@
-// Recursive Pos of div in document - should work in most browsers
-function findPos(obj) {
-	var curleft = curtop = 0;
-	if (obj.offsetParent) {
-		curleft = obj.offsetLeft;
-		curtop = obj.offsetTop;
-		while (obj = obj.offsetParent) {
-			curleft += obj.offsetLeft;
-			curtop += obj.offsetTop;
-		}
-	}
-	return {
-		x:curleft,
-		y:curtop
-	}
-}
-
-// The idea is to have a few functions like this one and minimum javascript intervention		
-function updateslider(e, kind, smin, smax, slen, sliderid, boxid) {
-	if(mb) {
-		coords = findPos(e.currentTarget);
-		coords.x = e.clientX - coords.x;
-		coords.y = e.clientY - coords.y;
-		cx = coords.x / slen;
-		sd = smax - smin;
-		val = smin + (sd * cx);
-		if(kind == 1) {
-			val = Math.round(val);
-		}
-		document.getElementById(boxid).value = val;				
-		document.getElementById(sliderid).style.left = Math.ceil((slen) * ((val - smin) / sd))+"px";
-	}
-}
-
-var mb = 0;
-
-function mbpress(e) {
-	mb = 1;
-}
-
-function mbrelease(e) {
-	mb = 0;
-}
\ No newline at end of file

=== added file 'Widget Library/sliders.css'
--- Widget Library/sliders.css	1970-01-01 00:00:00 +0000
+++ Widget Library/sliders.css	2013-04-03 14:29:36 +0000
@@ -0,0 +1,82 @@
+.label {
+	font-family: Calibri, Arial, sans-serif;
+	color: #fff;
+	text-shadow: 1px 1px 1px #222;
+}
+
+.panel {
+	box-shadow: 2px 2px 6px #444;
+	font-family: Arial;
+	background-color: #d0d0d4;
+	background: linear-gradient(to bottom, #f0f0e8 0%, #e8e8e8 1%, #b8b8b0 17%);
+	border-radius: 10px;
+	padding:6px;
+}
+
+.sliderBox {
+	float: left;
+	width: 40px;
+	height: 32px;
+	font-family: Calibri, Arial, sans-serif;
+	font-size: 18px;
+}
+
+.sliderLine {
+	margin-left: 60px;
+	height: 32px;
+	border-style: none;
+	border-width: 1px;
+	background-position: center;
+	background-image: url("../media/Widget Library/sliderline.png");
+	background-repeat: repeat-x;
+}
+
+.sliderMarker {
+	position: relative;
+	width: 14px;
+	height: 32px;
+	background-image: url("../media/Widget Library/sliderring14.png");
+	background-repeat: no-repeat;
+	background-position: center;
+}
+
+.sliderminValue {
+	float: left;
+}
+
+.slidermidValue {
+	text-shadow: 1px 1px 1px #222;
+	font-family: Calibri, Arial, sans-serif;
+	font-size: 12px;
+	color: #fff;
+	margin-left: 60px;
+	text-align: center;
+}
+
+.slidermaxValue {
+	float: right;
+}
+
+.binaryLine {
+	width: 36px;
+	height: 18px;
+	border-radius: 10px;
+	border-color: #555;
+	border-width: 1px;
+	border-style: solid;
+	box-shadow: 2px 2px 2px #444 inset;
+}
+
+.binaryMarker {
+	position: relative;
+	top: 2px;
+	width: 11px;
+	height: 11px;
+	border-color: #777;
+	border-style: solid;
+	border-radius: 6px;
+	background-color: #fff;
+	border-width: 1px;
+	box-shadow: 2px 2px 2px #444;
+	background: linear-gradient(to bottom, #fff 0%,#e0e0d8 60%);
+}
\ No newline at end of file

=== added file 'Widget Library/sliders.js'
--- Widget Library/sliders.js	1970-01-01 00:00:00 +0000
+++ Widget Library/sliders.js	2013-04-03 14:29:36 +0000
@@ -0,0 +1,202 @@
+/* 
+
+Widget Code!
+
+*/
+
+// Recursive Pos of div in document - should work in most browsers
+function findPos(obj) {
+	var curLeft = curTop = 0;
+	if(obj.offsetParent) {
+		curLeft = obj.offsetLeft
+		curTop = obj.offsetTop
+		while(obj = obj.offsetParent) {
+			curLeft += obj.offsetLeft
+			curTop += obj.offsetTop
+		}
+	}
+	return {
+		x:curLeft,
+		y:curTop
+	}
+}
+
+/*
+
+ui read widget functions
+
+*/
+
+function readSlider(sliderId) {
+	var value = parseFloat(document.getElementById(sliderId + "box").value);
+	if(isNaN(value)) {
+		value = 0.0;
+	}
+	return value;
+}
+
+function readBinary(binaryId) {
+	lf = document.getElementById(binaryId + "marker").style.left;
+	if(lf == "2px") {
+		return 0;
+	} else {
+		return 1;
+	}
+}
+
+/*
+
+ui change widget functions
+
+*/
+
+// The idea is to have a few functions like this one and minimum javascript intervention		
+function updateBinary(event, binaryId) {
+	if(mb) {
+		coords = findPos(event.currentTarget);
+		coords.x = event.clientX - coords.x;
+		coords.y = event.clientY - coords.y;
+		if(coords.x > 24) {
+			document.getElementById(binaryId + "marker").style.left = 20 + "px";										
+			document.getElementById(binaryId).style.backgroundColor = "#ddd";										
+		}else if(coords.x < 16) {
+			document.getElementById(binaryId + "marker").style.left = 2 + "px";																		
+			document.getElementById(binaryId).style.backgroundColor = "#777";										
+		}
+	}
+}
+
+// The idea is to have a few functions like this one and minimum javascript intervention		
+function updateSlider(event, kind, min, max, length, sliderId, boxId) {
+	if(mb) {
+		coords = findPos(event.currentTarget);
+		coords.x = event.clientX - coords.x;
+		coords.y = event.clientY - coords.y;
+		cx = coords.x / length;
+		sd = max - min;
+		value = min + (sd * cx);	
+		if(value > max) value = max;
+		if(kind == 0) {
+			value = Math.round(value);
+		}
+		if(kind == 1) {
+			value = Math.round(value * 10.0) / 10.0;
+		}
+		if(kind == 2) {
+			value = Math.round(value * 100.0) / 100.0;
+		}
+		if(kind == 3) {
+			value = Math.round(value * 1000.0) / 1000.0;
+		}
+		document.getElementById(boxId).value = value;				
+		document.getElementById(sliderId).style.left = Math.ceil((length) * ((value - min) / sd)) + "px";
+	}
+}
+		
+function sliderPosition(value, min, max, length) {
+		if(value < min) {
+			value = min;
+		}
+		if(value > max) {
+			value = max;
+		}
+		pos = Math.round(((value - min) / (max - min)) * length);
+		return pos;
+}
+
+function changeSlider(value, sliderId, kind, min, max, length) {
+		value = parseFloat(value);		
+		if(isNaN(value)) {
+			value = 0.0;
+		}
+		if(value < min) {
+			value = min;
+		}
+		if(value > max) {
+			value = max;
+		}
+		if(kind == 0) {
+			value = Math.round(value);
+		}
+		if(kind == 1) {
+			value = Math.round(value * 10.0) / 10.0;
+		}
+		if(kind == 2) {
+			value = Math.round(value * 100.0) / 100.0;
+		}
+		if(kind == 3) {
+			value = Math.round(value * 1000.0) / 1000.0;
+		}
+		pos = sliderPosition(value, min, max, length);
+		document.getElementById(sliderId + "box").value = value;
+		document.getElementById(sliderId + "marker").style.left = pos + "px";										
+}
+
+/*
+
+ui make widget functions
+
+*/
+
+function makeLabel(name) {
+	s = "";
+	s += "<div class='label'>" + name + "</div>";
+	return s;		
+}
+
+function makePanel(width, height) {
+	s = "";		
+	s += "<div class='panel' style='height: " + height + "px; width: " + width + "px;'>";
+	return s;
+}
+
+function makePanelEnd() {
+	s = "</div>";
+	return s;		
+}
+
+function makeSlider(sliderId, kind, minValue, maxValue, midValue, sliderWidth, defaultValue) {
+	s = "";
+	defaultPosition = sliderPosition(defaultValue, minValue, maxValue, sliderWidth);
+	if(defaultValue < minValue) {
+		defaultValue = minValue;
+	}
+	if(defaultValue > maxValue) {
+		defaultValue = maxValue;
+	}					
+	s += "<input id='" + sliderId + "box' value='" + defaultValue + "' type='text' class='sliderBox' onBlur='changeSlider(this.value,\"" + sliderId + "\"," + kind + "," + minValue + "," + maxValue + "," + sliderWidth + ");'>";
+	s += "<div id='" + sliderId + "' class='sliderLine' style='width:" + sliderWidth + "px;'";
+	s += " onmousemove='updateSlider(event," + kind + "," + minValue + "," + maxValue + "," + sliderWidth + ",\"" + sliderId + "marker\",\"" + sliderId + "box\");'";
+	s += " onmouseup='updateSlider(event," + kind + "," + minValue + "," + maxValue + "," + sliderWidth + ",\"" + sliderId + "marker\",\"" + sliderId + "box\");'>";
+	s += " <div id='" + sliderId + "marker' class='sliderMarker' style='left:" + defaultPosition + "px;'></div>";
+	s += "</div>";
+	s += "<div class='slidermidValue' style='width:" + sliderWidth + "px;'>" + midValue;
+	s += "<div class='sliderminValue'>" + minValue + "</div>";
+	s += "<div class='slidermaxValue'>" + maxValue + "</div></div>";
+	return s;
+}
+
+function makeBinary(binaryId, defaultValue) {
+	s = "";
+	if(defaultValue == 1) {
+		defaultPosition = 20;
+		defaultColor = "#ddd";
+	} else {
+		defaultPosition = 2;
+		defaultColor = "#777";
+	}
+	s += "<div id='" + binaryId + "' class='binaryLine' style='background-color:" + defaultColor + ";' onmousemove='updateBinary(event,\"" + binaryId + "\");' onmouseup='updateBinary(event,\"" + binaryId + "\");'>";
+	s += "<div id='" + binaryId + "marker' class='binaryMarker' style='left:" + defaultPosition + "px;'></div>";
+	s += "</div>";
+	return s;
+}
+
+var mb = 0;
+
+function mbPress(event) {
+	mb = 1;
+}
+
+function mbRelease(event) {
+	mb = 0;
+}
\ No newline at end of file

=== added directory 'media/Widget Library'
=== renamed file 'Widget Library/sliderline.png' => 'media/Widget Library/sliderline.png'
=== renamed file 'Widget Library/sliderring14.png' => 'media/Widget Library/sliderring14.png'
